Bug 1009755 - URL for version page not being rewritten
URL for version page not being rewritten
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
development
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: David Mason
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 00:39 EDT by David Mason
Modified: 2013-11-26 22:22 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.1-SNAPSHOT (20130923-1234)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:22:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mason 2013-09-19 00:39:31 EDT
Description of problem:
When navigating from a project page to one of the version pages, the URL is not rewritten and is therefore not user friendly.

Version:
3.1-SNAPSHOT

How reproducible:
Always, easy

Steps to Reproduce:
1. Open project page for any project that has 1 or more versions
2. Click any of the version names

Actual results:
URL is http://localhost:8080/zanata/iteration/view.seam?iterationSlug=1&projectSlug=monkey&cid=1

Expected results:
URL is http://localhost:8080/zanata/iteration/view/monkey/1?cid=1


Additional info:
Comment 1 David Mason 2013-09-20 02:12:24 EDT
Fixed in 3.1-SNAPSHOT

See: https://github.com/zanata/zanata-server/commit/b7edd89e180eeb37bb483ab5eb1d1662697ac4ae
Comment 2 Ding-Yi Chen 2013-09-22 22:51:45 EDT
VERIFIED with 3.1-SNAPSHOT (20130923-1234)
Comment 3 Sean Flanigan 2013-11-26 22:22:42 EST
Closing bugs which were VERIFIED with snapshots <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.